{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CHAMP_LIBRE"; 
            externalType = VARCHAR; 
            name = champLibre; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CODE_EMPLOI"; 
            externalType = VARCHAR; 
            name = codeEmploi; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = INDIVIDU; 
            externalType = NUMBER; 
            name = individu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORDRE; 
            externalType = VARCHAR2; 
            name = ordre; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            columnName = "RFC_POSITION"; 
            externalType = NUMBER; 
            name = position; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RCM_KEY"; 
            externalType = NUMBER; 
            name = "rmc_key"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = ("rmc_key"); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EORepartCompetenceMiniCV"; 
    classProperties = (
        champLibre, 
        codeEmploi, 
        dCreation, 
        dModification, 
        individu, 
        position, 
        toReferensCompetences
    ); 
    externalName = "FEVE.REPART_COMP_MINI_CV"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_javaClientClassName" = "Fwkgrh_RepartCompetenceMiniCV"; }; 
    name = "Fwkgrh_RepartCompetenceMiniCV"; 
    primaryKeyAttributes = ("rmc_key"); 
    relationships = (
        {
            destination = "Fwkpers_ReferensCompetences"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = codeEmploi; sourceAttribute = codeEmploi; }, 
                {destinationAttribute = ordre; sourceAttribute = ordre; }
            ); 
            name = toReferensCompetences; 
        }
    ); 
}
